> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/table-tennis/competition-data/bracket.md).

# Bracket

## Bracket

> Return to the matchup chart of the query season\<br/>\<br/>Request times: 120 times/min

```json
{"openapi":"3.0.1","info":{"title":"Table Tennis API","version":"1.0.250606"},"tags":[{"name":"COMPETITION DATA","description":"COMPETITION DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/table_tennis/bracket/season":{"get":{"tags":["COMPETITION DATA"],"description":"Return to the matchup chart of the query season<br/><br/>Request times: 120 times/min","summary":"Bracket","operationId":"getBracketSeason","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/BracketSeason"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"BracketSeason":{"type":"object","description":"Data details","properties":{"brackets":{"type":"array","description":"Bracket data","items":{"$ref":"#/deps/schemas/Bbracket"}},"groups":{"type":"array","description":"Group data","items":{"$ref":"#/deps/schemas/Bgroup"}},"rounds":{"type":"array","description":"Round data","items":{"$ref":"#/deps/schemas/Bround"}},"match_ups":{"type":"array","description":"Match data","items":{"$ref":"#/deps/schemas/Bmatchup"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"Bbracket":{"type":"object","description":"Sort by stage order","properties":{"id":{"type":"string","description":"Bracket id"},"unique_tournament_id":{"type":"string","description":"Competition id"},"name":{"type":"string","description":"Name"},"abbr":{"type":"string","description":"Abbreviation"},"start_time":{"type":"integer","description":"Start time"},"end_time":{"type":"integer","description":"End Time"}}},"Bgroup":{"type":"object","properties":{"id":{"type":"string","description":"Group id"},"bracket_id":{"type":"string","description":"Bracket id"},"start_time":{"type":"integer","description":"First match time"},"end_time":{"type":"integer","description":"Last match time"},"type_id":{"type":"integer","description":"Type, 1-winner's zone, 2-3rd place, 0-unknown"},"number":{"type":"integer","description":"Group order"}}},"Bround":{"type":"object","properties":{"id":{"type":"string","description":"Round id"},"bracket_id":{"type":"string","description":"Bracket id"},"group_id":{"type":"string","description":"Group id"},"name":{"type":"string","description":"Name"},"abbr":{"type":"string","description":"Abbreviation"},"start_time":{"type":"integer","description":"First match time"},"end_time":{"type":"integer","description":"Last match time"},"number":{"type":"integer","description":"Round order"}}},"Bmatchup":{"type":"object","properties":{"id":{"type":"string","description":"Match bracket id"},"round_id":{"type":"string","description":"Round id"},"number":{"type":"integer","description":"Sorting (upper half area first, lower half area behind)"},"type_id":{"type":"integer","description":"Rule description (others are unknown): <br/>1 - Single match<br/>2 - Single match, replay if draw<br/>3 - Single match, (optional replay, add winner manually<br/>4 - Single match, add winner manually<br/>7 - Manually add winner"},"state_id":{"type":"integer","description":"State description (others are unknown): <br/>1 - Not started<br/>2 - empty<br/>3 - seeded<br/>4 - partial seeded<br/>5 - seeded fixture<br/>6 - on-going<br/>7 - home won<br/>8 - away won<br/>9 - cancelled<br/>10 - bye<br/>11-Waiting for the draw"},"home_team_id":{"type":"string","description":"Home team id"},"away_team_id":{"type":"string","description":"Away team id"},"winner_team_id":{"type":"string","description":"Victory team id"},"home_score":{"type":"integer","description":"Home team score"},"away_score":{"type":"integer","description":"Away team score"},"parent_ids":{"$ref":"#/deps/schemas/Parentids"},"children_ids":{"$ref":"#/deps/schemas/Childrenids"},"match_ids":{"$ref":"#/deps/schemas/Matchids"},"note":{"type":"string","description":"Remarks"}}},"Parentids":{"type":"array","description":"Next ID(Not empty)<br/>example: [\"8yomojf5107q0j6\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match bracket id | String |\n","items":""},"Childrenids":{"type":"array","description":"Upper ID(Not empty)<br/>example: [\"y39mpyfk6yomojx\", \"k82re9f8gojmepz\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match bracket id | String |\n| `1` | Match bracket id | String |\n","items":""},"Matchids":{"type":"array","description":"Associated match id<br/>example: [\"l5erg1fvx9edr8k\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match id | String |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/table-tennis/competition-data/bracket.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
